OpenVDB: D1Vec< CD_6TH > Struct Reference

OpenVDB 12.0.0 |

Loading...
Searching...
No Matches
Static Public Member Functions | List of all members
D1Vec< CD_6TH > Struct Reference

`#include <openvdb/math/FiniteDifference.h>`

## Static Public Member Functions
template<typename Accessor>
static Accessor::ValueType::value_type | inX (const Accessor &grid, const Coord &ijk, int n)
template<typename Accessor>
static Accessor::ValueType::value_type | inY (const Accessor &grid, const Coord &ijk, int n)
template<typename Accessor>
static Accessor::ValueType::value_type | inZ (const Accessor &grid, const Coord &ijk, int n)
template<typename Stencil>
static Stencil::ValueType::value_type | inX (const Stencil &S, int n)
template<typename Stencil>
static Stencil::ValueType::value_type | inY (const Stencil &S, int n)
template<typename Stencil>
static Stencil::ValueType::value_type | inZ (const Stencil &S, int n)
static Accessor::ValueType::value_type | inX (const Accessor &grid, const Coord &ijk, int n)
static Stencil::ValueType::value_type | inX (const Stencil &S, int n)
static Accessor::ValueType::value_type | inY (const Accessor &grid, const Coord &ijk, int n)
static Stencil::ValueType::value_type | inY (const Stencil &S, int n)
static Accessor::ValueType::value_type | inZ (const Accessor &grid, const Coord &ijk, int n)
static Stencil::ValueType::value_type | inZ (const Stencil &S, int n)

## Member Function Documentation

## ◆ inX() [1/4]

static Accessor::ValueType::value_type inX | ( | const Accessor & | grid,
|  | const Coord & | ijk,
|  | int | n )
| inlinestatic

## ◆ inX() [2/4]

template<typename Accessor>

static Accessor::ValueType::value_type inX | ( | const Accessor & | grid,
|  | const Coord & | ijk,
|  | int | n )
| inlinestatic

## ◆ inX() [3/4]

static Stencil::ValueType::value_type inX | ( | const Stencil & | S,
|  | int | n )
| inlinestatic

## ◆ inX() [4/4]

template<typename Stencil>

static Stencil::ValueType::value_type inX | ( | const Stencil & | S,
|  | int | n )
| inlinestatic

## ◆ inY() [1/4]

static Accessor::ValueType::value_type inY | ( | const Accessor & | grid,
|  | const Coord & | ijk,
|  | int | n )
| inlinestatic

## ◆ inY() [2/4]

template<typename Accessor>

static Accessor::ValueType::value_type inY | ( | const Accessor & | grid,
|  | const Coord & | ijk,
|  | int | n )
| inlinestatic

## ◆ inY() [3/4]

static Stencil::ValueType::value_type inY | ( | const Stencil & | S,
|  | int | n )
| inlinestatic

## ◆ inY() [4/4]

template<typename Stencil>

static Stencil::ValueType::value_type inY | ( | const Stencil & | S,
|  | int | n )
| inlinestatic

## ◆ inZ() [1/4]

static Accessor::ValueType::value_type inZ | ( | const Accessor & | grid,
|  | const Coord & | ijk,
|  | int | n )
| inlinestatic

## ◆ inZ() [2/4]

template<typename Accessor>

static Accessor::ValueType::value_type inZ | ( | const Accessor & | grid,
|  | const Coord & | ijk,
|  | int | n )
| inlinestatic

## ◆ inZ() [3/4]

static Stencil::ValueType::value_type inZ | ( | const Stencil & | S,
|  | int | n )
| inlinestatic

## ◆ inZ() [4/4]

template<typename Stencil>

static Stencil::ValueType::value_type inZ | ( | const Stencil & | S,
|  | int | n )
| inlinestatic